Bug Hunting Session
Bug 86595 - TOOLBAR: Changing the tooltip of character background color
Summary: TOOLBAR: Changing the tooltip of character background color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Calc-Toolbars
  Show dependency treegraph
 
Reported: 2014-11-23 00:24 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 20:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-23 00:24:32 UTC
Presently the tooltip for changing the character background color is called 'Highlighting', which is a horrible tooltip when we compare it to the buttons next to it, 'Font Color' and 'Background Color'. So here is what is being used by other apps:

MS Word 2003   : Highlight
MS Word 2010   : Text Highlight Color
WordPerfect X7 : Highlight
Kingsoft/WPS   : Highlight (toolbar) / Text Highlight Color (ribbon)
Google Docs    : Highlight
Abiword        : Highlight
Calligra Words : Background Color

I'd like to propose the use of 'Highlight Color'.
Comment 1 A (Andy) 2014-11-23 10:20:55 UTC
I feel the same.  "Highlight Color" sounds better and more consistent.
Comment 2 Tamás Zolnai 2015-03-01 17:51:01 UTC
I have an other problem with the name "Highlighting":

In MS Word there are two kind of character background attributes. The first one is called "Shading" which is closer to LO's character background and so our MS export filters (except RTF) saves character background as shading.

On the other hand, the second character background of MS Word is called "Highlighting", which is not supported by LO, because LO supports only one character background attribute.

These names make our users confused because we call our character background as "Highlighting" on the toolbar, but this highlighting does not match with the one MS Word uses and is not exported to MS formats as MS Word highlighting.

The bug report:
https://bugs.documentfoundation.org/show_bug.cgi?id=64490

So I think this problem can be solved by forgetting the name "Highlighting" and also the highlighter icon. Instead we can use "Text Background Color" or "Character Background Color" and the icon also should be changed accordingly.

Next to this interoperability problem it's always a good idea to call the same thing on the same way. By now we have the name "character background" and "highlighting" for exactly the same thing. These two names have a little difference in meaning (e.g. background color specifies the place of the color, but the name highlighting speaks about the function of this color attribute).

See also a discussion about this started by me on dev list:
http://nabble.documentfoundation.org/Discussion-about-highlighting-MS-compatibility-issue-td4139399.html
Comment 3 Yousuf Philips (jay) (retired) 2015-03-02 03:06:34 UTC
Hi Zolnai,

Yes its unfortunate about the compatibility issue with highlighting but that goes above what is being addressed in this bug report.

Most word processors have a 'highlight' labelled button so i dont think it is suitable to confuse users with not having the same. If the highlighting definition and mechanism works the way it is supposed to with ODF documents, that would be the priority for LO's interface.

Yes defining a difference for 'character background' and 'highlighting' is good, but to regular users, they are equivalent to the same thing. The most confusing part was having 'highlighting' and 'background color' buttons next to each other, which is one of the reason why 'background color' was been removed.
Comment 4 Tamás Zolnai 2015-03-04 20:45:33 UTC
> Yes defining a difference for 'character background' and 'highlighting' is
> good, but to regular users, they are equivalent to the same thing.

I guess a was not clear here. I did not intend to say that I'd like to bring into LO this two character background concept.
Rather I'd like to make our UI unambiguous. As I see the main problem causing this compatibility problem is having two different names for the same thing (on UI). So I would advice to use the same name on the toolbar and on the character dialog.
If "Highlighting" is the better candidate then maybe we can rename the "Background" tab page on character dialog also to "Highlighting".

But you are right, not this is the place where I should discuss this. I will open a new bug.
Comment 5 Yousuf Philips (jay) (retired) 2015-11-02 15:01:55 UTC
Patch is in https://gerrit.libreoffice.org/19741
Comment 6 Commit Notification 2015-11-03 10:53:56 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3822aa796616b64b040559c537ee4dcc786f249

tdf#86595 Change 'Highlighting' to 'Highlight Color'

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-11-03 11:23:29 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14bf5784e98fc3add591a70410376050e56dd73b

tdf#86595: Highlight color it is

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-11-04 21:32:56 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c81142b277546714c0dfa8f9c2961c8ef80bc6d2

tdf#86595 One "Text Background Color" missed

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Samuel Mehrbrodt (CIB) 2016-03-18 09:52:16 UTC
Can this be closed?